<?php  include 'sesion.php';

if ($rutadom == NULL) {$rutadom = "/home/content/90/7626090/html"; } else {};

$a = date(Y);
$m = date(m);
$carpeta = "$m-$a";


$ID_sorteo = $_GET['ID'];


$directorio = "$rutadom/$carpeta";



if (file_exists($directorio)) {

} else {

mkdir("$rutadom/$carpeta", 0777);

};





$status = "";

if ($_POST["action"] == "upload") {

	// obtenemos los datos del archivo

	$tamano = $_FILES["archivo"]['size'];

	$tipo = $_FILES["archivo"]['type'];

	$archivo = $_FILES["archivo"]['name'];

	$prefijo = md5(uniqid(rand()));



		$ext = substr("$archivo", -3);











$ext = strtolower($ext);



	if ($ext == 'gif' or $ext == 'png' or $ext == 'PNG' or $ext == 'GIF' or $ext == 'jpg' or $ext == 'jpeg') {} else {echo "SOLO ARCHIVOS GIF, PNG, JPG, JPEG"; exit; }




	    	if ($tamano >= 1000000) {echo "el tamaño no puede exeder los (1MB) 1000000 kb , tamaño $tamano"; exit; };


	    $tempm = $_FILES['archivo']['tmp_name'];
	    $mime = mime_content_type($tempm);
			if ($mime == 'image/png' or $mime == 'image/jpeg' or $mime == 'image/gif') {} else {echo "no valido"; exit;}




	if ($archivo != "") {

		// guardamos el archivo a la carpeta files

		$destino =  "$rutadom/$carpeta/".$prefijo.".".$ext;

		if (copy($_FILES['archivo']['tmp_name'],$destino)) {

			$status = "Archivo subido: <b>".$archivo."</b>";



			$mp3 = "$dom/$carpeta/$prefijo.$ext";

			$titulo = $_POST['titulo'];






		$gif = "$prefijo.$ext";
$ID_sorteo = $_GET['ID'];

include 'concha.php';

mysql_connect("$host","$usuario","$contra");

mysql_db_query("$basedatos","


UPDATE `sorteos` SET `img` = '$carpeta/$gif' WHERE `sorteos`.`ID` = '$ID_sorteo';




");

		 ;?>

  <br />
  <span class="Estilo6">�LA PUBLICIDAD FUE CARGADA CORRECTAMENTE!</span><span class="Estilo6"><br />
  <br />
  <span class="Estilo9">IMPORTANTE</span><br />
  PARA QUE LA PUBLICIDAD SEA VISIBLE , DEBE INSERTARLA EN EL SITIO<br />
  <br />
  <span class="Estilo10"><a href="columna.php">PARA INSERTAR ESTA PUBLICIDAD A LA DERECHA DEL SITIO HAGA CLIC AQUI</a></span></span></p>

<p align="center"><a href="../publis.php" class="Estilo6 Estilo10">PARA INSERTAR ESTA PUBLICIDAD ENTRE LAS NOTICIAS DEL SITIO HAGA CLIC AQUI</a></p>
<div align="center">





</p>
<p class="Estilo4"><a href="index.php">VOLVER AL PANEL</a></p

><?



		} else {

			$status = "Error al subir el archivo";

		}

	} else {

		$status = "Error al subir archivo";

	}

}

?>

<html>

<head>

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />

<title>PHP upload - unijimpe</title>

<link href="estilo.css" rel="stylesheet" type="text/css" />

<style type="text/css">

<!--

.Estilo1 {font-family: "Trebuchet MS"}

-->

</style>

</head>

<body>

<table width="413" border="0" cellspacing="0" cellpadding="0">

  <tr>

    <td width="413" height="40" class="titulo Estilo1">SUBIR PUBLICIDAD GIF / PNG / JPG / JPEG</td>

  </tr>

  <tr>

    <td class="text">&nbsp;</td>

  </tr>

  <tr>

  <form action="upload_pic_sorteo.php?ID=<? echo $ID_sorteo ?>" method="post" enctype="multipart/form-data">

    <td class="text"><span class="Estilo1">SELECCIONE EL ARCHIVO DE SU COMPUTADORA</span><br>

      <input name="archivo" type="file" class="casilla" id="archivo" size="35" />

      <input name="enviar" type="submit" class="boton" id="enviar" value="SUBIR" />





	  <input name="action" type="hidden" value="upload" />	  </td>

	</form>

  </tr>

  <tr>

    <td class="text" style="color:#990000"><?php echo $status; ?></td>

  </tr>





</table>

<p>&nbsp;</p>

<p><a href="menu_sorteos.php" class="Estilo1 Estilo10">VOLVER</a></p>

</body>

</html>
